/*******************************************************************************
 * ShadowMap2D generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ShadowMap2D extends Object
    native
    noexport;

var private const ShadowMapTexture2D Texture;
var private const Vector2D CoordinateScale;
var private const Vector2D CoordinateBias;
var private const Guid LightGuid;
var private const bool bIsShadowFactorTexture;
var private export editinline transient InstancedStaticMeshComponent Component;
var private transient int InstanceIndex;

defaultproperties
{
    bIsShadowFactorTexture=true
}